import { MatTableDataSource } from '@angular/material/table';
import { MatPaginator } from '@angular/material/paginator';
import { MatSort } from '@angular/material/sort';
import { ChangeDetectorRef } from '@angular/core';
import { ConfigService } from '../../services/config/config.service';
import { ChartHelper } from '../../services/chart-helper/chart-helper';
import { ArcgisService } from '../../services/arcgis/arcgis.service';
import * as i0 from "@angular/core";
export declare class GptDialogComponent {
    data: {
        response_data: any;
    };
    private cdr;
    private arcgisService;
    private configService;
    private chartHelper;
    dataTable: any;
    chart_type: any;
    dataIncludeObjectIds: boolean;
    response_type: 'table' | 'chart';
    minimize: boolean;
    geoAIPieChartId: string;
    geoAIBarChartId: string;
    geoAILineChartId: string;
    dataSource: MatTableDataSource<any, MatPaginator>;
    displayedColumns: string[];
    paginator: MatPaginator;
    sort: MatSort;
    constructor(data: {
        response_data: any;
    }, cdr: ChangeDetectorRef, arcgisService: ArcgisService, configService: ConfigService, chartHelper: ChartHelper);
    ngOnInit(): void;
    renderPieChart(data: any): Promise<void>;
    renderBarChart(data: any): Promise<void>;
    renderLineChart(data: any): Promise<void>;
    generateRandomId(baseId: string, data: any): void;
    showOnMap(): void;
    exportAsImage(): void;
    exportTableData(): void;
    ngAfterViewInit(): void;
    applyFilter(event: Event): void;
    minimizeWidget(minimize: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GptDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GptDialogComponent, "app-gpt-dialog", never, {}, {}, never, never, false, never>;
}
