import { MatDialog } from '@angular/material/dialog';
import { ConfigService } from '../config/config.service';
import { ArcgisService } from '../arcgis/arcgis.service';
import * as i0 from "@angular/core";
export declare class ChatService {
    private arcgisService;
    private dialog;
    private configService;
    historyIndex: number;
    commandHistory: string[];
    isLoading: boolean;
    response_data: any;
    message: string;
    messageCounter: number;
    messages: {
        id: number;
        sender: string;
        content: string;
        timestamp: Date;
        type: string;
    }[];
    constructor(arcgisService: ArcgisService, dialog: MatDialog, configService: ConfigService);
    sendChatMessage(): void;
    showDataByType(data_type: string): void;
    setTypingAnimation(openDialog?: boolean, data_type?: string): void;
    pushMessageSuggestions(): void;
    sendMessage(): void;
    checkMapFunctions(data: any): Promise<void>;
    saveMapConfiguration(url: string, body: any): Promise<any>;
    addBotMessage(message: string): void;
    openMapDialog(): void;
    openDialog(): void;
    onKeyDown(key: string): void;
    clearChat: () => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChatService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChatService>;
}
