import { Observable, Subject } from 'rxjs';
import { SelectedChartColumn } from '../../models/charts/selected-chart-column';
import { AmChartsDataModel } from '../../models/charts/am-charts-data-model';
import { SankeyChartDataModel } from '../../models/charts/sankey-chart-data-model';
import * as i0 from "@angular/core";
export declare class EventsService {
    loadAppEventSubject: Subject<boolean>;
    loadAppEvent: Observable<boolean>;
    mapLoadedEventSubject: Subject<boolean>;
    mapLoadedEvent: Observable<boolean>;
    resetMapFiltersEventSubject: Subject<boolean>;
    resetMapFiltersEvent: Observable<boolean>;
    estidamaFeaturesEventSubject: Subject<string>;
    estidamaFeaturesEvent: Observable<string>;
    chartsPrintingEventSubject: Subject<boolean>;
    chartsPrintingEvent: Observable<boolean>;
    selectedChartColumnEventSubject: Subject<SelectedChartColumn>;
    selectedChartColumnDataEvent: Observable<SelectedChartColumn>;
    reportsChartsDataEventSubject: Subject<AmChartsDataModel[] | SankeyChartDataModel[]>;
    reportsChartsDataEvent: Observable<AmChartsDataModel[] | SankeyChartDataModel[]>;
    viewReportDataOnMapEventSubject: Subject<boolean>;
    viewReportDataOnMapEvent: Observable<boolean>;
    selectedTargetLayerEventSubject: Subject<string>;
    selectedTargetLayerDataEvent: Observable<string>;
    selectedYearEventSubject: Subject<number>;
    selectedYearDataEvent: Observable<number>;
    openedExpandWidgetNameEventSubject: Subject<string>;
    openedExpandWidgetNameLoadedEvent: Observable<string>;
    constructor();
    loadApp: (load: boolean) => void;
    mapLoaded: (load: boolean) => void;
    selectedChartColumn: (chartColumn: SelectedChartColumn) => void;
    resetMapFilters: (load: boolean) => void;
    estidamaFeaturesToShow: (showEstidama: string) => void;
    reportsChartsData: (chartsData: AmChartsDataModel[] | SankeyChartDataModel[]) => void;
    chartsPrinting: (print: boolean) => void;
    openUrl: (url: string) => void;
    selectedTargetLayer: (newTargetLayerSelected: string) => void;
    viewReportDataOnMap: (viewReportDataOnMap: boolean) => void;
    selectedYear: (newYearSelected: number) => void;
    openExpandWidgetName(expandWidgetName: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EventsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EventsService>;
}
