import SceneView from '@arcgis/core/views/SceneView.js';
import MapView from '@arcgis/core/views/MapView.js';
import Point from '@arcgis/core/geometry/Point';
import { ConfigService } from '../services/config/config.service';
import * as i0 from "@angular/core";
export declare class MapUtilsService {
    private configService;
    private legendExpand;
    private layerListExpand;
    _prevExtent: boolean;
    _nextExtent: boolean;
    _currentExtent: any;
    _extentHistory: any;
    _extentHistoryIndx: number;
    _preExtent: any;
    layersConfig: any;
    private initialExtent;
    constructor(configService: ConfigService);
    ngOnInit(): Promise<void>;
    trackingg: (mapView: MapView | SceneView) => void;
    switchBasemap(mapView: MapView | SceneView, basemapName: string): void;
    extentChangeHandler: (evt: any) => void;
    increaseZoom(mapView: MapView | SceneView, increment?: number): void;
    decreaseZoom(mapView: MapView | SceneView, decrement?: number): void;
    zoomToPrevious: (mapView: MapView | SceneView) => "Zoomed to Previous Extent" | "No Previous Extent";
    zoomToNext: (mapView: MapView | SceneView) => "Zoomed to Next Extent" | "No Next Extent";
    addLayerFromURL(mapView: MapView | SceneView, url: string): void;
    removeLayerByTitle: (mapView: MapView | SceneView, layerTitle: string) => void;
    addLayerList(mapView: MapView | SceneView): void;
    removeLayerList(mapView: MapView | SceneView): void;
    addLegendList(mapView: MapView | SceneView): void;
    removeLegendList(mapView: MapView | SceneView): void;
    applyExportFunction(mapView: MapView | SceneView): void;
    getLayerByTitle(mapView: MapView | SceneView, layerTitle: string): any;
    getUrlByLayerName(targetLayerName: string): null | undefined;
    highlightFeatures(mapView: MapView | SceneView, layerConfigName: string, queryToHighlight: string, type: string): Promise<boolean>;
    zoomToFullExtent(mapView: MapView | SceneView, title: string): boolean;
    changeLayerOpacity(mapView: MapView | SceneView, title: string, opacity: number): boolean;
    printService: (mapView: MapView | SceneView) => Promise<string>;
    generateHrefLink: (url: string, label: string, downloadable: boolean) => string;
    fromBaseToString: (bString: string) => string;
    getMapViewpoint: (mapView: any) => string;
    generateMapViewerUrlFromCurrentLocation: (mapView: MapView | SceneView) => string;
    shareMap(mapView: MapView | SceneView): string;
    getPointLongLat: (point: Point) => {
        latitude: string;
        longitude: string;
    } | {
        latitude: null;
        longitude: null;
    };
    addTimeSlider(mapView: MapView | SceneView, layerId: string): void;
    goToMapFullExtent: (mapView: MapView | SceneView) => void;
    zoomToLocation: (mapView: MapView | SceneView, locationName: string) => void;
    getLatLongForPlace(placeName: string): Promise<{
        latitude: number;
        longitude: number;
    } | null>;
    reorderLayer(mapView: MapView | SceneView, layerTitle: string, index: number): void;
    queryLayer(mapView: MapView | SceneView, layerTitle: string, queryText: string): void;
    clearHighlightedFeatures: (mapView: MapView | SceneView) => void;
    getMapViewInfo: (mapView: MapView | SceneView) => {
        extent: {
            xmin: number;
            ymin: number;
            xmax: number;
            ymax: number;
            spatialReference: {
                wkid: number;
            };
        } | null;
        mapLayersInfo: any[] | null;
    };
    getMapLayersInfo(mapView: MapView | SceneView): any[] | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<MapUtilsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MapUtilsService>;
}
